Page MenuHomePhabricator

[Story] Expand in other languages box by default
Closed, ResolvedPublic

Description

  • When a user loads an item page for the very first time the in other languages box should be expanded.
  • After that whatever state the user sets it to should be stored and restored as it is currently done
  • Special:Preference 'Show labels, aliases and descriptions in all my languages on page load' should be checked by default

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : master[Task] Expand in other languages box by default

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Medium.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 3:17 PM

The reason for opening this ticket is not specified in the sense of that the ticket would not have been opened unless there was not already an opinion about the current state not being the one desired. Specifying that opinion would probably help getting the discussion started and ensure focus on the issue that lead to opening the ticket.

In general, nothing should be hidden by default. There will always be a major percentage of users that miss collapsed stuff, no matter how obvious the expand button is. So please: Expand by default, the user sees it, can collapse it if he wants and it stays collapsed.

Please note that the collapsing feature in MediaWiki core's side bar was completely removed partly because of this reason (and because of performance).

Yes I do have an opinion but I want to get input before we make a final decision. That's why this ticket.

Open by default, please.

I do not have a strict opinion on that matter yet. But, hm, sorry guys, those two comments above are not really helpful to get one. :-/

What are you missing in my comment?

A slightly related thing: Currently you cannot expand without JS enabled, which means if you don't have working JS, the box might just not be there. If it's collapsed by default, you might not even now that there should be something. If it's shown by default, you would maybe at least remember that there should be something. We could of course also fix this by supporting toggling via static link, or by collapsing with JS (which would look jumpy, though).

The issue I mentioned would be resolved with https://gerrit.wikimedia.org/r/242084/.

thiemowmde renamed this task from expand in other languages box by default to [Task] Expand in other languages box by default.Jan 19 2016, 3:32 PM
thiemowmde set Security to None.
thiemowmde moved this task from Proposed to Backlog on the Wikidata-Sprint-2016-01-19 board.
thiemowmde added a subscriber: Jonas.

Change 265474 had a related patch set uploaded (by Jonas Kress (WMDE)):
[Task] Expand in other languages box by default

https://gerrit.wikimedia.org/r/265474

Jonas updated the task description. (Show Details)
Jonas moved this task from Backlog to Review on the Wikidata-Sprint-2016-01-19 board.

Btw, why does this property only exist when the Babel extension is installed?

Btw, why does this property only exist when the Babel extension is installed?

LOL I was also confused ...

Jonas renamed this task from [Task] Expand in other languages box by default to [Story] Expand in other languages box by default.Jan 22 2016, 11:15 AM
Jonas updated the task description. (Show Details)Jan 22 2016, 11:24 AM

@Lydia_Pintscher @Snaterlicious Can you explain why the user preference is only present when Babel is installed?

What are you aiming for with this question? What does "exist" mean? Exist in which context?

First fact is that anonymous users don't have user preferences. Our code falls back to use a cookie in this case.

Next fact is that only users with a Babel box can control which languages are shown in the terms list view. All other users (this includes all anonymous users as well as all logged in users that don't have a Babel box) get some additional languages picked by ULS. This (but only this) is a client-only feature.

When the Babel extension is installed users can control the set of languages. When Babel is missing they can't. This does not have anything to do with the question if the box is and can be expanded and collapsed.

As far as I can see the code introduced in https://gerrit.wikimedia.org/r/#/c/183498/20/repo/Wikibase.hooks.php is a mistake.

Change 265474 merged by jenkins-bot:
[Task] Expand in other languages box by default

https://gerrit.wikimedia.org/r/265474

@adrianheine: You mean why we only store if the box is collapsed or not if the babel extension is installed? (I don't know if that is the case.)

@adrianheine: You mean why we only store if the box is collapsed or not if the babel extension is installed? (I don't know if that is the case.)

Yes for logged in users options and settings only work when babel is installed. I have no clue why this is the case ...

Hmmmm ok. Not sure why we store collapsed state only when Babel is installed. I don't see a reason. I think we can change this.

Then let's do this :)

Jonas closed this task as Resolved.Jan 26 2016, 9:45 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-01-19 board.